Bug 1478316 - (CVE-2017-1000099) CVE-2017-1000099 curl: FILE buffer read out of bounds
CVE-2017-1000099 curl: FILE buffer read out of bounds
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170809,repor...
: Security
Depends On: 1479669 1479670
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 05:36 EDT by Adam Mariš
Modified: 2018-01-11 07:37 EST (History)
3 users (show)

See Also:
Fixed In Version: curl 7.55.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (995 bytes, patch)
2017-08-04 05:45 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2017-08-04 05:36:59 EDT
When asking to get a file from a file:// URL, libcurl provides a feature that
outputs meta-data about the file using HTTP-like headers.

The code doing this would send the wrong buffer to the user (stdout or the
application's provide callback), which could lead to other private data from
the heap to get inadvertently displayed.

The wrong buffer was an uninitialized memory area allocated on the heap and if
it turned out to not contain any zero byte, it would continue and display the
data following that buffer in memory.

Affected versions: libcurl 7.54.1
Comment 1 Adam Mariš 2017-08-04 05:37:02 EDT
Acknowledgments:

Name: the Curl project
Upstream: Even Rouault
Comment 2 Adam Mariš 2017-08-04 05:45 EDT
Created attachment 1308974 [details]
Upstream patch
Comment 3 Andrej Nemec 2017-08-09 02:23:43 EDT
External References:

https://curl.haxx.se/docs/adv_20170809C.html
Comment 4 Andrej Nemec 2017-08-09 02:31:28 EDT
Created curl tracking bugs for this issue:

Affects: fedora-all [bug 1479670]


Created mingw-curl tracking bugs for this issue:

Affects: fedora-all [bug 1479669]

Note You need to log in before you can comment on or make changes to this bug.